[% nowrapper=1 %]
[% process_template = 'form/' _ c.config.gemeente_id _ '/header.tt' %]
[% PROCESS $process_template %]

[% layout_type = 'simple' %]

<div id="loginwrap" class="prelogin-digid">
    <div class="block">
        <div class="block-header">
            <div class="block-header-inner">
        [% IF logged_out %]
            <h1>U bent uitgelogd.</h1>
        [% ELSE %]
            <h1>Inloggen met DigiD</h1>
        [% END %]
            </div>
        </div>

        <div class="block-content clearfix">
            

            <div class="row">
                <div class="column large-6">
                    <div class="digid-button prelogin">

                    [% PROCESS 'digid-error.tt' %]

                    [% IF digid_error %]
                        <strong>[% digid_error %]</strong><br /><br />
                    [% END %]
                    
                    [% IF c.user_exists %]
                        <p>U bent al ingelogd</p>
                    [% ELSE %]
                        [% IF logged_out %]
                        <p>
                            Klik op onderstaande knop om naar de website van
                            [% c.get_customer_info.naam_lang %] te gaan.
                        </p>
                        <br/>
                        <div>
                            <a href="[% c.uri_for('/logout', { redirect => 'gemeente_portal' }) %]" class="button button-primary">
                                Hoofdpagina
                            </a>
                        </div>
                        
                        [% ELSE %]
                        
                        <p>
                            Voor het door u gekozen onderdeel is verificatie
                            van uw identiteit vereist. Bij
                            [% c.get_customer_info.naam_lang %] kunt u
                            inloggen met DigiD. Voortaan kunt u met DigiD
                            naar steeds meer overheidsinstellingen op
                            internet. Wanneer u op de button van DigiD
                            klikt, wordt u doorgestuurd naar de omgeving van
                            DigiD. Nadat u bent ingelogd, wordt u
                            automatisch teruggestuurd naar het door u
                            gekozen onderdeel.
                        </p><br/>

                        [%
                           success_endpoint_eidas = success_endpoint;

                           # There are days that I'm not so proud of
                           # myself. This is one of them

                           success_endpoint_eidas = success_endpoint.replace(
                                'authenticatie_methode=digid',
                                'authenticatie_methode=eidas'
                           );
                        %]

                        [% FOREACH idp IN idps %]
                        [% IF idp.get_interface_config.saml_type == 'eidas';
                           THEN; %]
                        <div class="prelogin-button">
                            <a href="[% c.uri_for('/auth/saml/' _
                                idp.id, { success_endpoint => success_endpoint_eidas }) | html_entity %]" class="button button-primary button-mega button-id">
                                Log in with <strong>[% idp.name | html_entity %]
                            </a>
                        </div>

                           [% ELSE;
                                uri = c.uri_for('/auth/saml/' _ idp.id, {
                                    success_endpoint => success_endpoint,
                                    failure_endpoint => failure_endpoint
                                });
                           %]
                        <div class="prelogin-button">
                            <a href="[% uri | html_entity %]" class="button button-primary button-mega button-id">
                                Inloggen met <strong>[% idp.name | html_entity %]
                            </a>
                        </div>
                           [% END; %]
                        [% END %]
                        </div>
                    </div>

                    <div class="column large-5 large-offset-1">
                        <div class="digid-info prelogin-info clearfix">
                            <div class="prelogin-logos col">
                                <img src="/images/digid_eo_rgb_50.gif" alt="DigiD Logo" class="digid-logo prelogin-info-logo" />
                            </div>
                            
                            <div class="digid-tekst prelogin-info-tekst col">
                		        <h3>Wat is DigiD?</h3>
                
                                <p>
                                    DigiD staat voor Digitale Identiteit; het is
                                    een gemeenschappelijk systeem waarmee de
                                    overheid op internet uw identiteit kan
                                    verifi&euml;ren. Met uw DigiD kunt u bij
                                    steeds meer overheidsinstellingen terecht.
                                </p>

                                <h3>Nog geen DigiD inlogcode?</h3>

                                <p class="no_margin">
                                    Ga naar <a href="http://www.digid.nl" target="_blank" rel="noopener">
                                    http://www.digid.nl</a> om direct
                                    een DigiD inlogcode aan te vragen.
                                </p>
                            </div>
                            
                            [% END %]
                    [% END %]
                    </div>
                </div>
            </div>
        </div>
    </div>
</div> 

[% process_template = 'form/' _ c.config.gemeente_id _ '/footer.tt' %]
[% PROCESS $process_template %]
